<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_topic">
    <sys_cb_topic action="DELETE">
        <applicability/>
        <applicability_mode>script</applicability_mode>
        <autopilot_topic>false</autopilot_topic>
        <category>b6b620012f5b0110f98855f62799b694,3efd22da0b203300a1b16c2367673a10</category>
        <channels/>
        <connect_queue/>
        <description>ITSM conversation flow to check status of incidents and requested items.</description>
        <expose_on_palette>false</expose_on_palette>
        <flexible_conversation_switching>false</flexible_conversation_switching>
        <graph>{
  "graph_api_version": "1.0.36",
  "goals": {
    "primary": {
      "id": "primary",
      "trigger": {
        "type": "primary"
      },
      "name": "primary",
      "applicability": "",
      "description": "",
      "nodes": {
        "fe157f274902478d8c059586e6862569": {
          "id": "fe157f274902478d8c059586e6862569",
          "stepType": "Start",
          "name": "Start",
          "greetingResponse": {
            "mode": "simple",
            "value": ""
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "67fb10c8bb404c31a3dedd0f27a8a869": {
          "id": "67fb10c8bb404c31a3dedd0f27a8a869",
          "stepType": "TerminateGoal",
          "name": "End",
          "confirmationMessage": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "f6bcd34c55b04d64aea073497505525c": {
          "id": "f6bcd34c55b04d64aea073497505525c",
          "name": "Check Incidents and Requested Items",
          "script": "(function execute() {\n    /*\n        Determining whether there are,\n        1. Active incidents opened by the current user\n        2. Active Requested items requested for the current user\n        and assigning the corresponding script variables.\n    */\n\n    // Setting the incident count\n    var faults = new GlideAggregate('x_811737_railright_fault');\n    faults.addQuery('active', true);\n    faults.addQuery('caller_id', vaInputs.user);\n    faults.addAggregate('COUNT');\n    faults.query();\n    var faultCount = 0;\n    if (faults.next())\n        faultCount = faults.getAggregate('COUNT');\n        \n    vaVars.fault_count = faultCount;\n\n    // Setting the requested items count\n    var reqItems = new GlideAggregate('sc_req_item');\n    reqItems.addQuery('active', true);\n    reqItems.addQuery('request.requested_for', vaInputs.user);\n    reqItems.addAggregate('COUNT');\n    reqItems.query();\n    var reqItemsCount = 0;\n    if (reqItems.next())\n        reqItemsCount = reqItems.getAggregate('COUNT');\n\n    vaVars.requested_item_count = reqItemsCount;\n})()\n\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "a3803614f0db4592a5802e70a4b376ae": {
          "id": "a3803614f0db4592a5802e70a4b376ae",
          "stepType": "Decision",
          "name": "Records  Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "afa9fa81548e4d83ad75fc751bbb9601": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Get Record",
          "prompt": {
            "value": "(function execute() {\n    if (vaVars.table_name == 'x_811737_railright_fault') {\n        if (parseInt(vaVars.fault_count) &gt; parseInt(vaVars.limit)) \n            return gs.getMessage('You have {0} faults:', vaVars.fault_count);\n        else\n            return gs.getMessage('Here are your faults:');\n    }\n\n    if (parseInt(vaVars.requested_item_count) &gt; parseInt(vaVars.limit)) \n        return gs.getMessage('You have {0} requested items:', vaVars.requested_item_count);\n    return gs.getMessage('Here are your requested items:');\n})()\n",
            "mode": "script"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "2bfc54e4738747259e11605a2d72f55f",
          "id": "afa9fa81548e4d83ad75fc751bbb9601",
          "mode": "external",
          "script": "(function execute() {\n    /*\n        1. Query the requested items table and get all the active items requested_for the user\n        2. Show the recently updated 5(limit) requested items, apply pagination if there are more than 5.\n    */\n\n\n    var count = 0;\n\n    var options = [];    \n    var gr = new GlideRecord(vaVars.table_name);\n    gr.addActiveQuery();\n    if (vaVars.table_name == 'incident')\n        gr.addQuery('caller_id', vaInputs.user);\n    else \n        gr.addQuery('request.requested_for', vaInputs.user);\n\n    gr.orderByDesc('sys_updated_on');\n    gr.query();\n\n    count = gr.getRowCount();\n    vaVars.count = count;\n    var cnt = 0;\n\n    while(gr.next()) {\n        if (gr.canRead()) {\n            if (vaVars.table_name == 'incident')\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('short_description') + ' [' + gr.getValue('number') + ']'});\n            else\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('cat_item')  + ' [' + gr.getValue('number') + ']'});\n            cnt++;\n        } \n    }\n\n        \n    return options;\n})()",
          "noRecordsResponseMsg": {
            "mode": "simple",
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No Records Found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ]
          },
          "condition": {
            "value": "(function execute() {\n    /*\n        1. Query the requested items table and get all the active items requested_for the user\n        2. Show the recently updated 5(limit) requested items, apply pagination if there are more than 5.\n    */\n\n\n    var count = 0;\n\n    var options = [];    \n    var gr = new GlideRecord(vaVars.table_name);\n    gr.addActiveQuery();\n    if (vaVars.table_name == 'incident')\n        gr.addQuery('caller_id', vaInputs.user);\n    else \n        gr.addQuery('request.requested_for', vaInputs.user);\n\n    gr.orderByDesc('sys_updated_on');\n    gr.query();\n\n    count = gr.getRowCount();\n    vaVars.count = count;\n    var cnt = 0;\n\n    while(gr.next()) {\n        if (gr.canRead()) {\n            if (vaVars.table_name == 'incident')\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('short_description') + ' [' + gr.getValue('number') + ']'});\n            else\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('cat_item')  + ' [' + gr.getValue('number') + ']'});\n            cnt++;\n        } \n    }\n\n        \n    return options;\n})()",
            "mode": "external_script"
          },
          "table": "sc_req_item",
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "1bdd9f7e676e401e88e6900e662911dd": {
          "stepType": "ChoicePrompt",
          "name": "Incident or Requested Item",
          "prompt": {
            "value": "(function execute() {\n    var output = '';\n    var faults = '';\n    var items = '';\n\n    if (vaVars.fault_count != 1) {\n            faults = gs.getMessage('{0} open fault',vaVars.fault_count);\n    } else {\n            incidents = gs.getMessage('{0} open fault', vaVars.fault_count);\n    }\n\n    if (vaVars.requested_item_count != 1) {\n            items = gs.getMessage('{0} requested items', vaVars.requested_item_count);\n    } else {\n            items = gs.getMessage('{0} requested item', vaVars.requested_item_count);\n    }\n\n    return gs.getMessage('I just checked and you have {0} and {1}.  Which status would you like to check?', [faults,items]);\n})()\n",
            "mode": "script"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "118cb1499c4340a1aae1b381e0029610",
          "id": "1bdd9f7e676e401e88e6900e662911dd",
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "24246c4c14654d2eba487075c8d00c8c": {
          "id": "24246c4c14654d2eba487075c8d00c8c",
          "stepType": "TextOutput",
          "name": "No Incidents or Requested Items",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "You have no active incidents or requested items."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "79f7c7da0b97455583c0de9d8ae39a38": {
          "id": "79f7c7da0b97455583c0de9d8ae39a38",
          "stepType": "Prompt",
          "name": "Add Comment",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Would you like to add a comment?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "7bf837ee541e4c218c386189e15ca6bb",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          }
        },
        "68407d2a57ce4b739c71b8c04142fbe1": {
          "id": "68407d2a57ce4b739c71b8c04142fbe1",
          "stepType": "Decision",
          "name": "Add Comment Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "61f42c5dc66944569e6cd86f44c0ef97": {
          "id": "61f42c5dc66944569e6cd86f44c0ef97",
          "stepType": "Prompt",
          "name": "Comment",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Please enter your comment."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "6b4b9724996946a688d5793d9d82079f",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "86d7f36884804d64a300eac5bba165da": {
          "id": "86d7f36884804d64a300eac5bba165da",
          "stepType": "Decision",
          "name": "Count Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "7a6aaaf61b6c43b1a80719ab50bd2dec": {
          "id": "7a6aaaf61b6c43b1a80719ab50bd2dec",
          "stepType": "ScriptOutput",
          "name": "Update Record",
          "output_type": "single_part",
          "script": "(function execute() {\n    var response = '';\n    var gr = new GlideRecordSecure(vaVars.table_name);\n    if (gr.get(vaVars.sys_id)) {\n        var comment = vaInputs.comment.getValue().trim();\n        if (comment) {\n            gr.comments = comment;\n            gr.update();\n            if (vaVars.table_name == 'x_811737_railright_fault')\n                response = gs.getMessage(\"I've updated the fault.\");\n            else\n                response = gs.getMessage(\"I've updated the requested item.\");  \n        } else {\n            response = gs.getMessage(\"OK, no comment will be added.\");\n        }\n    } else\n        response = gs.getMessage(\"I couldn't find the record.\");\n\n    return response;\n})()",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "26ae44e0ce5b4b39ac0b1f74271977cf": {
          "id": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "stepType": "Decision",
          "name": "Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "1bc133f6d1ad4247a243aeeca1829c15": {
          "id": "1bc133f6d1ad4247a243aeeca1829c15",
          "name": "Set Incident Table",
          "script": "(function execute() {\n    vaVars.table_name = 'x_811737_railright_fault';\n    vaVars.count = vaVars.fault_count;\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "5d308caee49d4a8ea31ace8a7371ecf4": {
          "id": "5d308caee49d4a8ea31ace8a7371ecf4",
          "name": "Set Requested Item table",
          "script": "(function execute() {\n    vaVars.table_name = 'sc_req_item';\n    vaVars.count = vaVars.requested_item_count;\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "70702261176341c2b5ff1031472b85eb": {
          "id": "70702261176341c2b5ff1031472b85eb",
          "name": "Set Table",
          "script": "(function execute() {\n    vaVars.table_name = vaInputs.fault_or_requested_item;\n    if (vaVars.table_name == 'x_811737_railright_fault')\n        vaVars.count = vaVars.fault_count;\n    else \n        vaVars.count = vaVars.requested_item_count;\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "097995944c3d436d9c801788c0d40ca3": {
          "id": "097995944c3d436d9c801788c0d40ca3",
          "name": "Set Sys Id",
          "script": "(function execute() {\n    vaVars.sys_id = vaInputs.get_record.getValue();\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "5dc548b14113412abbeca771a8d99daf": {
          "id": "5dc548b14113412abbeca771a8d99daf",
          "name": "Set Sys Id",
          "script": "(function execute() {\n    // Query the requested item table and get the only requested item\n      var gr = new GlideRecord(vaVars.table_name);\n      gr.addQuery('active', true);\n      if (vaVars.table_name == 'x_811737_railright_fault')\n            gr.addQuery('caller_id', vaInputs.user);\n      else \n            gr.addQuery('request.requested_for', vaInputs.user);\n\n      gr.setLimit(1);\n      gr.query();\n      if (gr.next()) {\n          vaVars.sys_id = gr.getUniqueValue();\n      }\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "96631133cb11480aae91c503d06082bd": {
          "id": "96631133cb11480aae91c503d06082bd",
          "stepType": "TextOutput",
          "name": "Before Card",
          "value": {
            "value": "(function execute() {\n    if (vaVars.table_name == 'x_811737_railright_fault') {\n        if (parseInt(vaVars.count) == 1)\n            return gs.getMessage('OK, here is your fault:');\n        return gs.getMessage('Here is your fault:');\n    }\n    if (parseInt(vaVars.count) == 1)\n        return gs.getMessage('OK, here is your requested item:');\n    return gs.getMessage('Here is your requested item:');\n})()\n",
            "mode": "script"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "d90628f0eae44dfb99ddcb85a19bee9f": {
          "id": "d90628f0eae44dfb99ddcb85a19bee9f",
          "stepType": "Decision",
          "name": "Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "61ad31e5cc0b4750ac7d03c5a5b3b829": {
          "id": "61ad31e5cc0b4750ac7d03c5a5b3b829",
          "stepType": "Component",
          "name": "No Deflection",
          "fields": [],
          "reusableTopicId": "7fb4ca055303201033cdddeeff7b12b3",
          "reusableTopicChoice": "Deflection",
          "sourceType": "TOPIC_BLOCK",
          "loading": false,
          "applicability": {
            "value": "",
            "mode": "query"
          },
          "inputs": {
            "deflection_configuration": {
              "value": "5292005253213010000dddeeff7b126c",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_configuration"
            },
            "deflection_pattern": {
              "value": "9ee3409253213010000dddeeff7b123b",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_pattern"
            },
            "activity_table": {
              "value": "",
              "mode": "simple",
              "type": "String"
            },
            "activity_ids": {
              "value": "",
              "mode": "simple",
              "type": "String"
            }
          },
          "outputs": [],
          "outdatedNote": false,
          "variableIds": []
        },
        "49be8a59f9684c88ba17a2a7061cb09c": {
          "id": "49be8a59f9684c88ba17a2a7061cb09c",
          "stepType": "Component",
          "name": "Deflection: Status shown",
          "fields": [],
          "reusableTopicId": "7fb4ca055303201033cdddeeff7b12b3",
          "reusableTopicChoice": "Deflection",
          "sourceType": "TOPIC_BLOCK",
          "loading": false,
          "applicability": {
            "value": "",
            "mode": "query"
          },
          "inputs": {
            "deflection_configuration": {
              "value": "5292005253213010000dddeeff7b126c",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_configuration"
            },
            "deflection_pattern": {
              "value": "0273885253213010000dddeeff7b1210",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_pattern"
            },
            "activity_table": {
              "value": "",
              "mode": "simple",
              "type": "String"
            },
            "activity_ids": {
              "value": "",
              "mode": "simple",
              "type": "String"
            }
          },
          "outputs": [],
          "outdatedNote": false,
          "variableIds": []
        },
        "064c02d11fd9417db73a50d0dee128d8": {
          "id": "064c02d11fd9417db73a50d0dee128d8",
          "stepType": "ScriptOutput",
          "name": "Requested Item card",
          "output_type": "single_part",
          "script": "(function execute() {\n\n    var tableName = vaVars.table_name;\n    var recordId = vaVars.sys_id;\n\n    var link = '';\n    var screenId = '';\n    if (vaVars.portalName === 'mesp') {\n        var mobileDLink = new global.MobileDeepLinkGenerator('request');\n        if (tableName == 'sc_req_item')\n            screenId = '7516f9d787232300e0ef0cf888cb0b4d';\n        else if (tableName == 'sc_request')\n            screenId = '276dd3edb79033001befcd58de11a9c7';\n        else if (tableName == 'incident')\n            screenId = 'ebb94d9c0f2033001befa68ca8767e4e';\n        else\n            screenId = 'd39eb2db87772300e0ef0cf888cb0bcb';\n\n        link = mobileDLink.getFormScreenLink(screenId, tableName, recordId);\n    } else {\n        link = vaVars.baseUri + vaVars.portalName + \"?id=ticket&amp;table=\" + tableName +\"&amp;sys_id=\" + recordId;\n    }\n\n    var title = '';\n    var subtitle = '';\n    var fields = [];\n\n    var gr = new GlideRecord(tableName);\n    gr.addQuery('sys_id',recordId);\n    gr.query();\n    title = gr.getClassDisplayValue();\n    if(gr.next()){\n        subtitle = gr.number.toString();\n        fields.push({\"fieldLabel\": gr.getElement('cat_item').getLabel(), \"fieldValue\": gr.getDisplayValue('cat_item').toString()});\n        fields.push({\"fieldLabel\": gr.getElement('state').getLabel(), \"fieldValue\": gr.getDisplayValue('state').toString()});\n        if( !gs.nil(gr.getDisplayValue('assigned_to').toString()) ){\n            fields.push({\"fieldLabel\": gr.getElement('assigned_to').getLabel(), \"fieldValue\": gr.getDisplayValue('assigned_to').toString()});\n        }\n        fields.push({\"fieldLabel\": gr.getElement('sys_updated_on').getLabel(), \"fieldValue\": gr.getDisplayValue('sys_updated_on').toString()});\n\n        var count = 0;\n        var grComments = new GlideRecord('sys_journal_field');\n        grComments.addQuery('element_id', recordId);\n        grComments.addQuery('name', tableName);\n        grComments.addQuery('element', \"comments\");\n        grComments.orderByDesc('sys_created_on');\n        grComments.setLimit(vaVars.max_comment_count);\n        grComments.query();\n        while (grComments.next()) {\n            var commenter = [];\n            var user = new GlideRecord('sys_user');\n            user.get('user_name', grComments.sys_created_by);\n            var userName = user.getDisplayValue(\"name\");\n            commenter.push(userName);\n            var now = new GlideDateTime();\n            var schedule = new GlideSchedule();\n            schedule.load('38fa64edc0a8016400f4a5724b0434b8');\n            var start = new GlideDateTime(grComments.getValue(\"sys_created_on\"));\n            var duration = schedule.duration(start, now);\n            if (duration.getRoundedDayPart() &gt; 1)\n                var elapsedTime = gs.getMessage(\"{0} days ago\", [duration.getRoundedDayPart()]);\n            else if (duration.getRoundedDayPart() == 1)\n                var elapsedTime = gs.getMessage(\"{0} day ago\", [duration.getRoundedDayPart()]);\n            else\n                var elapsedTime = gs.getMessage(\"{0} ago\", [duration.getDisplayValue()]);\n\n            var comment = grComments.value.replace(/&lt;\\/?[^&gt;]+(&gt;|$)/g, \"\");\n            var comments = [ commenter, \" - \", elapsedTime, \" : \", comment];\n            var displayComments = comments.join(\"\");\n            if(displayComments.length &gt;= vaVars.comments_length) {\n                var editComments = [ displayComments.substring(0, vaVars.comments_length) , '...' ];\n                displayComments =  editComments.join(\"\");\n            }\n            \n            if(count == 0) {\n                fields.push({\"fieldLabel\": gr.getElement('comments').getLabel(), \"fieldValue\": displayComments});\n            } else {\n                fields.push({ \"fieldValue\": displayComments});\n            }\n            count++;\n        }\n    }\n    \n    var card_data = JSON.stringify({\n            \"title\":title,\n            \"subtitle\":subtitle,\n            \"fields\":fields,\n            \"url\":link.toString()\n      });\n    return vaSystem.renderCard(\"Card\", card_data); \n})()\n",
          "applicability": {
            "value": "",
            "mode": "query"
          }
        },
        "df38ac2b8a344cf2a3574352ac0e35f9": {
          "id": "df38ac2b8a344cf2a3574352ac0e35f9",
          "stepType": "ScriptOutput",
          "name": "Incident card",
          "output_type": "single_part",
          "script": "(function execute() {\n\n    var tableName = vaVars.table_name;\n    var recordId = vaVars.sys_id;\n\n    var link = '';\n    var screenId = '';\n    if (vaVars.portalName === 'mesp') {\n        var mobileDLink = new global.MobileDeepLinkGenerator('request');\n        if (tableName == 'sc_req_item')\n            screenId = '7516f9d787232300e0ef0cf888cb0b4d';\n        else if (tableName == 'sc_request')\n            screenId = '276dd3edb79033001befcd58de11a9c7';\n        else if (tableName == 'x_811737_railright_fault')\n            screenId = 'ebb94d9c0f2033001befa68ca8767e4e';\n        else\n            screenId = 'd39eb2db87772300e0ef0cf888cb0bcb';\n\n        link = mobileDLink.getFormScreenLink(screenId, tableName, recordId);\n    } else {\n        link = vaVars.baseUri + vaVars.portalName + \"?id=ticket&amp;table=\" + tableName +\"&amp;sys_id=\" + recordId;\n    }\n\n    var title = '';\n    var subtitle = '';\n    var fields = [];\n\n    var gr = new GlideRecord(tableName);\n    gr.addQuery('sys_id',recordId);\n    gr.query();\n    title = gr.getClassDisplayValue();\n    if(gr.next()){\n        subtitle = gr.number.toString();\n        if( !gs.nil(gr.getDisplayValue('short_description').toString()) ){\n            fields.push({\"fieldLabel\": gr.getElement('short_description').getLabel(), \"fieldValue\": gr.getDisplayValue('short_description').toString()});\n        }\n        fields.push({\"fieldLabel\": gr.getElement('state').getLabel(), \"fieldValue\": gr.getDisplayValue('state').toString()});\n        if( !gs.nil(gr.getDisplayValue('assigned_to').toString()) ){\n            fields.push({\"fieldLabel\": gr.getElement('assigned_to').getLabel(), \"fieldValue\": gr.getDisplayValue('assigned_to').toString()});\n        }\n        fields.push({\"fieldLabel\": gr.getElement('sys_updated_on').getLabel(), \"fieldValue\": gr.getDisplayValue('sys_updated_on').toString()});\n\n        var count = 0;\n        var grComments = new GlideRecord('sys_journal_field');\n        grComments.addQuery('element_id', recordId);\n        grComments.addQuery('name', tableName);\n        grComments.addQuery('element', \"comments\");\n        grComments.orderByDesc('sys_created_on');\n        grComments.setLimit(vaVars.max_comment_count);\n        grComments.query();\n        while (grComments.next()) {\n            var commenter = [];\n            var user = new GlideRecord('sys_user');\n            user.get('user_name', grComments.sys_created_by);\n            var userName = user.getDisplayValue(\"name\");\n            commenter.push(userName);\n            var now = new GlideDateTime();\n            var schedule = new GlideSchedule();\n            schedule.load('38fa64edc0a8016400f4a5724b0434b8');\n            var start = new GlideDateTime(grComments.getValue(\"sys_created_on\"));\n            var duration = schedule.duration(start, now);\n            if (duration.getRoundedDayPart() &gt; 1)\n                var elapsedTime = gs.getMessage(\"{0} days ago\", [duration.getRoundedDayPart()]);\n            else if (duration.getRoundedDayPart() == 1)\n                var elapsedTime = gs.getMessage(\"{0} day ago\", [duration.getRoundedDayPart()]);\n            else\n                var elapsedTime = gs.getMessage(\"{0} ago\", [duration.getDisplayValue()]);\n\n            var comment = grComments.value.replace(/&lt;\\/?[^&gt;]+(&gt;|$)/g, \"\");\n            var comments = [ commenter, \" - \", elapsedTime, \" : \", comment];\n            var displayComments = comments.join(\"\");\n            if(displayComments.length &gt;= vaVars.comments_length) {\n                var editComments = [ displayComments.substring(0, vaVars.comments_length) , '...' ];\n                displayComments =  editComments.join(\"\");\n            }\n            \n            if(count == 0) {\n                fields.push({\"fieldLabel\": gr.getElement('comments').getLabel(), \"fieldValue\": displayComments});\n            } else {\n                fields.push({ \"fieldValue\": displayComments});\n            }\n            count++;\n        }\n    }\n    \n    var card_data = JSON.stringify({\n            \"title\":title,\n            \"subtitle\":subtitle,\n            \"fields\":fields,\n            \"url\":link.toString()\n      });\n    return vaSystem.renderCard(\"Card\", card_data); \n})()\n",
          "applicability": {
            "value": "",
            "mode": "query"
          }
        }
      },
      "edges": [
        {
          "id": "c49c6a70c8544d398aff8e0b48a5186d",
          "edgeType": "Branch",
          "source": "d90628f0eae44dfb99ddcb85a19bee9f",
          "target": "064c02d11fd9417db73a50d0dee128d8",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.table_name == 'sc_req_item';\n})()\n"
          },
          "label": "Requested Item"
        },
        {
          "id": "ebfb69015edf4b82b78c8097c179f4b1",
          "edgeType": "Branch",
          "source": "d90628f0eae44dfb99ddcb85a19bee9f",
          "target": "df38ac2b8a344cf2a3574352ac0e35f9",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.table_name == 'incident';\n})()\n"
          },
          "label": "Incident"
        },
        {
          "id": "09cd8f519c004c66b99574a0e03c8dd0",
          "edgeType": "Edge",
          "source": "afa9fa81548e4d83ad75fc751bbb9601",
          "target": "097995944c3d436d9c801788c0d40ca3",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "6124a3b818c74b2aa442daaf6994ecc2",
          "edgeType": "Branch",
          "source": "68407d2a57ce4b739c71b8c04142fbe1",
          "target": "67fb10c8bb404c31a3dedd0f27a8a869",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "query",
            "value": "add_comment="
          },
          "label": "No"
        },
        {
          "id": "dd657204675c4ba1afccbdd71aa624b7",
          "edgeType": "Branch",
          "source": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "target": "a3803614f0db4592a5802e70a4b376ae",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.incident_count) != 0 || parseInt(vaVars.requested_item_count) != 0;\n})()\n"
          },
          "label": "Has Records"
        },
        {
          "id": "634d60ad40cd4786a84acda24faab673",
          "edgeType": "Edge",
          "source": "1bc133f6d1ad4247a243aeeca1829c15",
          "target": "86d7f36884804d64a300eac5bba165da",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "dd50904378194e66afa22a80e323c36a",
          "edgeType": "Edge",
          "source": "097995944c3d436d9c801788c0d40ca3",
          "target": "96631133cb11480aae91c503d06082bd",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "5fded96c6a024c5691831d88821b26c5",
          "edgeType": "Edge",
          "source": "70702261176341c2b5ff1031472b85eb",
          "target": "86d7f36884804d64a300eac5bba165da",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "fce46a7330604e58bb40501f0e228f98",
          "edgeType": "Edge",
          "source": "7a6aaaf61b6c43b1a80719ab50bd2dec",
          "target": "67fb10c8bb404c31a3dedd0f27a8a869",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "d086a415f68445fb9fac0e8b02f0ea15",
          "edgeType": "Edge",
          "source": "fe157f274902478d8c059586e6862569",
          "target": "f6bcd34c55b04d64aea073497505525c",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "377991ec9bf24e2f90b40de429f40203",
          "edgeType": "Branch",
          "source": "a3803614f0db4592a5802e70a4b376ae",
          "target": "1bdd9f7e676e401e88e6900e662911dd",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.incident_count != 0 &amp;&amp; vaVars.requested_item_count != 0;\n})()"
          },
          "label": "Both Incidents and Requested Items"
        },
        {
          "id": "77eb84ba68344651ae61eeef3e41a812",
          "edgeType": "Branch",
          "source": "68407d2a57ce4b739c71b8c04142fbe1",
          "target": "61f42c5dc66944569e6cd86f44c0ef97",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "query",
            "value": "add_comment=true"
          },
          "label": "Yes"
        },
        {
          "id": "a2076ecf75ad4e9290d8bcfde1712197",
          "edgeType": "Branch",
          "source": "86d7f36884804d64a300eac5bba165da",
          "target": "afa9fa81548e4d83ad75fc751bbb9601",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.count &gt; 1;\n})()"
          },
          "label": "Multiple Records"
        },
        {
          "id": "d05851bce69e44c7ac21e48dc166977c",
          "edgeType": "Edge",
          "source": "61f42c5dc66944569e6cd86f44c0ef97",
          "target": "7a6aaaf61b6c43b1a80719ab50bd2dec",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "5d09c2cae93f410da01c64143b6ef9be",
          "edgeType": "Edge",
          "source": "f6bcd34c55b04d64aea073497505525c",
          "target": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "712122a66ac1467ba23846bd4e363beb",
          "edgeType": "Branch",
          "source": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "target": "24246c4c14654d2eba487075c8d00c8c",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.incident_count) == 0 &amp;&amp; parseInt(vaVars.requested_item_count) == 0;\n})()\n"
          },
          "label": "Neither Incidents nor Requested Items"
        },
        {
          "id": "9422ec1718974d6595649faf5264ea65",
          "edgeType": "Branch",
          "source": "a3803614f0db4592a5802e70a4b376ae",
          "target": "1bc133f6d1ad4247a243aeeca1829c15",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.incident_count) &gt; 0 &amp;&amp; parseInt(vaVars.requested_item_count) == 0;\n})()"
          },
          "label": "Incidents only"
        },
        {
          "id": "52f2aecec62a452dad87f0607c74788a",
          "edgeType": "Branch",
          "source": "a3803614f0db4592a5802e70a4b376ae",
          "target": "5d308caee49d4a8ea31ace8a7371ecf4",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.requested_item_count) &gt; 0 &amp;&amp; parseInt(vaVars.incident_count) == 0;\n})()\n"
          },
          "label": "Requested Items Only"
        },
        {
          "id": "b4cd97e91a6748118df86a3d806aa0db",
          "edgeType": "Edge",
          "source": "5d308caee49d4a8ea31ace8a7371ecf4",
          "target": "86d7f36884804d64a300eac5bba165da",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "9a9ad5808ec34115bb3540cd172465d0",
          "edgeType": "Edge",
          "source": "1bdd9f7e676e401e88e6900e662911dd",
          "target": "70702261176341c2b5ff1031472b85eb",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "984fdcbe154a455ba8196a10972f3bd4",
          "edgeType": "Branch",
          "source": "86d7f36884804d64a300eac5bba165da",
          "target": "5dc548b14113412abbeca771a8d99daf",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.count) == 1;\n})()"
          },
          "label": "Only One Record"
        },
        {
          "id": "e99cc548052b47e4a15ab1b6d9417e4f",
          "edgeType": "Edge",
          "source": "5dc548b14113412abbeca771a8d99daf",
          "target": "96631133cb11480aae91c503d06082bd",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "fb7d781c131e425693b4a864dc75940d",
          "edgeType": "Edge",
          "source": "96631133cb11480aae91c503d06082bd",
          "target": "d90628f0eae44dfb99ddcb85a19bee9f",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "64e257a50b964693863eabc473eca45f",
          "edgeType": "Edge",
          "source": "24246c4c14654d2eba487075c8d00c8c",
          "target": "61ad31e5cc0b4750ac7d03c5a5b3b829",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "3e8c534f357d464b8a5e8c62d7572388",
          "edgeType": "Edge",
          "source": "61ad31e5cc0b4750ac7d03c5a5b3b829",
          "target": "67fb10c8bb404c31a3dedd0f27a8a869",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "11e9e0cbd8df4ae6b56f7090e72c7473",
          "edgeType": "Edge",
          "source": "79f7c7da0b97455583c0de9d8ae39a38",
          "target": "49be8a59f9684c88ba17a2a7061cb09c",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "a214c6b24d4f423ea71373545d88f964",
          "edgeType": "Edge",
          "source": "49be8a59f9684c88ba17a2a7061cb09c",
          "target": "68407d2a57ce4b739c71b8c04142fbe1",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "3e90357fcae24a5b8e74279dc5951ac5",
          "edgeType": "Edge",
          "source": "064c02d11fd9417db73a50d0dee128d8",
          "target": "79f7c7da0b97455583c0de9d8ae39a38",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "6b50e44ea6b1403bab30da379c2497ef",
          "edgeType": "Edge",
          "source": "df38ac2b8a344cf2a3574352ac0e35f9",
          "target": "79f7c7da0b97455583c0de9d8ae39a38",
          "sourcePort": "",
          "targetPort": ""
        }
      ]
    }
  },
  "variables": {
    "cbe1ac3611cf46bc9ce5f9719734a6a2": {
      "id": "cbe1ac3611cf46bc9ce5f9719734a6a2",
      "name": "LiveAgent_application",
      "value": {
        "mode": "simple",
        "value": "itsm"
      },
      "varType": "script",
      "label": "LiveAgent_application",
      "category": "vaVars"
    },
    "2bfc54e4738747259e11605a2d72f55f": {
      "id": "2bfc54e4738747259e11605a2d72f55f",
      "name": "get_record",
      "label": "Get Record",
      "varType": "reference",
      "table": "sc_req_item",
      "category": "vaInputs"
    },
    "118cb1499c4340a1aae1b381e0029610": {
      "id": "118cb1499c4340a1aae1b381e0029610",
      "name": "incident_or_requested_item",
      "label": "Incident Or Requested Item",
      "varType": "choice",
      "choices": [
        {
          "label": "Incident",
          "value": "incident"
        },
        {
          "label": "Requested Item ",
          "value": "sc_req_item"
        }
      ],
      "category": "vaInputs"
    },
    "7bf837ee541e4c218c386189e15ca6bb": {
      "id": "7bf837ee541e4c218c386189e15ca6bb",
      "name": "add_comment",
      "label": "Add Comment",
      "varType": "boolean",
      "category": "vaInputs"
    },
    "6b4b9724996946a688d5793d9d82079f": {
      "id": "6b4b9724996946a688d5793d9d82079f",
      "name": "comment",
      "label": "Comment",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMDQ3Nzg5NDQ4NCBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "1e37503b5309409ab9197ff09a1b0e42": {
      "id": "1e37503b5309409ab9197ff09a1b0e42",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "index",
      "label": "index",
      "varType": "script",
      "category": "vaVars"
    },
    "1afd09be984f40229d326a0ef7f8ae54": {
      "id": "1afd09be984f40229d326a0ef7f8ae54",
      "value": {
        "mode": "simple",
        "value": "5"
      },
      "name": "limit",
      "label": "limit",
      "varType": "script",
      "category": "vaVars"
    },
    "46402856936c40739ace26704432973e": {
      "id": "46402856936c40739ace26704432973e",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "incident_count",
      "label": "incident_count",
      "varType": "script",
      "category": "vaVars"
    },
    "3fc8b6644ada445f9581d45065ecb962": {
      "id": "3fc8b6644ada445f9581d45065ecb962",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "requested_item_count",
      "label": "requested_item_count",
      "varType": "script",
      "category": "vaVars"
    },
    "b72b693c1f5343f79290d80f744b0c52": {
      "id": "b72b693c1f5343f79290d80f744b0c52",
      "value": {
        "value": "",
        "mode": "simple"
      },
      "name": "table_name",
      "label": "table_name",
      "varType": "script",
      "category": "vaVars"
    },
    "e195d8c740cb45668fbff0f1ad7f6f6e": {
      "id": "e195d8c740cb45668fbff0f1ad7f6f6e",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "count",
      "label": "count",
      "varType": "script",
      "category": "vaVars"
    },
    "33857945844a43d1ad3bd8605df6727f": {
      "id": "33857945844a43d1ad3bd8605df6727f",
      "value": {
        "value": "",
        "mode": "simple"
      },
      "name": "sys_id",
      "label": "sys_id",
      "varType": "script",
      "category": "vaVars"
    },
    "ab26d40194f04ee083219c6d08b47860": {
      "category": "vaInputs",
      "id": "ab26d40194f04ee083219c6d08b47860",
      "label": "User",
      "name": "user",
      "table": "sys_user",
      "varType": "reference"
    },
    "061cddd34c5d47a5a37309b39ea860c6": {
      "id": "061cddd34c5d47a5a37309b39ea860c6",
      "value": {
        "mode": "script",
        "value": "(function execute() {\n    if (vaContext.deviceType == 'ios' || vaContext.deviceType == 'android')\n        return 'mesp';\n\n    return gs.getProperty('sn_itsm_va.com.snc.itsm.virtualagent.portal_url');\n})()\n"
      },
      "name": "portalName",
      "label": "portalName",
      "varType": "script",
      "category": "vaVars"
    },
    "39d6d8ca2d9447a5a4b5a8b1ef9d992b": {
      "id": "39d6d8ca2d9447a5a4b5a8b1ef9d992b",
      "value": {
        "mode": "simple",
        "value": "3"
      },
      "name": "max_comment_count",
      "label": "max_comment_count",
      "varType": "script",
      "category": "vaVars"
    },
    "ac062b53c6fe445cad5aca284c8b3161": {
      "id": "ac062b53c6fe445cad5aca284c8b3161",
      "value": {
        "mode": "simple",
        "value": "143"
      },
      "name": "comments_length",
      "label": "comments_length",
      "varType": "script",
      "category": "vaVars"
    },
    "1276665808bc4acf867a12bb2979c050": {
      "id": "1276665808bc4acf867a12bb2979c050",
      "value": {
        "mode": "script",
        "value": "(function execute() {\n    return gs.getProperty('glide.servlet.uri') ;\n})()\n"
      },
      "name": "baseUri",
      "label": "baseUri",
      "varType": "script",
      "category": "vaVars"
    }
  }
}</graph>
        <key_phrases>Report IT Issue,ticket status,latest,update,check,status,Request,Requested Item,Incident</key_phrases>
        <library>false</library>
        <live_agent>false</live_agent>
        <name>Report IT Issue</name>
        <nlu_intent/>
        <nlu_intent_label/>
        <nlu_model/>
        <nlu_model_label/>
        <nlu_provider/>
        <palette_label/>
        <roles/>
        <source_topic_id>c98b1eccdb301300cde2fd131d9619dc</source_topic_id>
        <sys_class_name>sys_cb_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 21:21:59</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>e9f4cac92f9f0110f98855f62799b699</sys_id>
        <sys_mod_count>5</sys_mod_count>
        <sys_name>Report IT Issue</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_topic_e9f4cac92f9f0110f98855f62799b699</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 21:36:43</sys_updated_on>
        <triggerable_by_notification>false</triggerable_by_notification>
        <type>STANDARD</type>
        <variables/>
    </sys_cb_topic>
    <sys_variable_value action="DELETE" query="document_key=e9f4cac92f9f0110f98855f62799b699"/>
    <sys_update_version action="INSERT_OR_UPDATE">
        <action>DELETE</action>
        <application display_value="RailRight">3817bc072f430110f98855f62799b62d</application>
        <file_path/>
        <instance_id>37a757b5dbff9740439ef70fbf9619b9</instance_id>
        <instance_name>dev69591</instance_name>
        <name>sys_cb_topic_e9f4cac92f9f0110f98855f62799b699</name>
        <payload><![CDATA[<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_topic"><sys_cb_topic action="INSERT_OR_UPDATE"><applicability/><applicability_mode>script</applicability_mode><autopilot_topic>false</autopilot_topic><category>b6b620012f5b0110f98855f62799b694,3efd22da0b203300a1b16c2367673a10</category><channels/><connect_queue/><description>ITSM conversation flow to check status of incidents and requested items.</description><expose_on_palette>false</expose_on_palette><flexible_conversation_switching>false</flexible_conversation_switching><graph>{
  "graph_api_version": "1.0.36",
  "goals": {
    "primary": {
      "id": "primary",
      "trigger": {
        "type": "primary"
      },
      "name": "primary",
      "applicability": "",
      "description": "",
      "nodes": {
        "fe157f274902478d8c059586e6862569": {
          "id": "fe157f274902478d8c059586e6862569",
          "stepType": "Start",
          "name": "Start",
          "greetingResponse": {
            "mode": "simple",
            "value": ""
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "67fb10c8bb404c31a3dedd0f27a8a869": {
          "id": "67fb10c8bb404c31a3dedd0f27a8a869",
          "stepType": "TerminateGoal",
          "name": "End",
          "confirmationMessage": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "f6bcd34c55b04d64aea073497505525c": {
          "id": "f6bcd34c55b04d64aea073497505525c",
          "name": "Check Incidents and Requested Items",
          "script": "(function execute() {\n    /*\n        Determining whether there are,\n        1. Active incidents opened by the current user\n        2. Active Requested items requested for the current user\n        and assigning the corresponding script variables.\n    */\n\n    // Setting the incident count\n    var faults = new GlideAggregate('x_811737_railright_fault');\n    faults.addQuery('active', true);\n    faults.addQuery('caller_id', vaInputs.user);\n    faults.addAggregate('COUNT');\n    faults.query();\n    var faultCount = 0;\n    if (faults.next())\n        faultCount = faults.getAggregate('COUNT');\n        \n    vaVars.fault_count = faultCount;\n\n    // Setting the requested items count\n    var reqItems = new GlideAggregate('sc_req_item');\n    reqItems.addQuery('active', true);\n    reqItems.addQuery('request.requested_for', vaInputs.user);\n    reqItems.addAggregate('COUNT');\n    reqItems.query();\n    var reqItemsCount = 0;\n    if (reqItems.next())\n        reqItemsCount = reqItems.getAggregate('COUNT');\n\n    vaVars.requested_item_count = reqItemsCount;\n})()\n\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "a3803614f0db4592a5802e70a4b376ae": {
          "id": "a3803614f0db4592a5802e70a4b376ae",
          "stepType": "Decision",
          "name": "Records  Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "afa9fa81548e4d83ad75fc751bbb9601": {
          "stepType": "ReferenceChoicePrompt",
          "name": "Get Record",
          "prompt": {
            "value": "(function execute() {\n    if (vaVars.table_name == 'x_811737_railright_fault') {\n        if (parseInt(vaVars.fault_count) &gt; parseInt(vaVars.limit)) \n            return gs.getMessage('You have {0} faults:', vaVars.fault_count);\n        else\n            return gs.getMessage('Here are your faults:');\n    }\n\n    if (parseInt(vaVars.requested_item_count) &gt; parseInt(vaVars.limit)) \n        return gs.getMessage('You have {0} requested items:', vaVars.requested_item_count);\n    return gs.getMessage('Here are your requested items:');\n})()\n",
            "mode": "script"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "2bfc54e4738747259e11605a2d72f55f",
          "id": "afa9fa81548e4d83ad75fc751bbb9601",
          "mode": "external",
          "script": "(function execute() {\n    /*\n        1. Query the requested items table and get all the active items requested_for the user\n        2. Show the recently updated 5(limit) requested items, apply pagination if there are more than 5.\n    */\n\n\n    var count = 0;\n\n    var options = [];    \n    var gr = new GlideRecord(vaVars.table_name);\n    gr.addActiveQuery();\n    if (vaVars.table_name == 'incident')\n        gr.addQuery('caller_id', vaInputs.user);\n    else \n        gr.addQuery('request.requested_for', vaInputs.user);\n\n    gr.orderByDesc('sys_updated_on');\n    gr.query();\n\n    count = gr.getRowCount();\n    vaVars.count = count;\n    var cnt = 0;\n\n    while(gr.next()) {\n        if (gr.canRead()) {\n            if (vaVars.table_name == 'incident')\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('short_description') + ' [' + gr.getValue('number') + ']'});\n            else\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('cat_item')  + ' [' + gr.getValue('number') + ']'});\n            cnt++;\n        } \n    }\n\n        \n    return options;\n})()",
          "noRecordsResponseMsg": {
            "mode": "simple",
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "No Records Found"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ]
          },
          "condition": {
            "value": "(function execute() {\n    /*\n        1. Query the requested items table and get all the active items requested_for the user\n        2. Show the recently updated 5(limit) requested items, apply pagination if there are more than 5.\n    */\n\n\n    var count = 0;\n\n    var options = [];    \n    var gr = new GlideRecord(vaVars.table_name);\n    gr.addActiveQuery();\n    if (vaVars.table_name == 'incident')\n        gr.addQuery('caller_id', vaInputs.user);\n    else \n        gr.addQuery('request.requested_for', vaInputs.user);\n\n    gr.orderByDesc('sys_updated_on');\n    gr.query();\n\n    count = gr.getRowCount();\n    vaVars.count = count;\n    var cnt = 0;\n\n    while(gr.next()) {\n        if (gr.canRead()) {\n            if (vaVars.table_name == 'incident')\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('short_description') + ' [' + gr.getValue('number') + ']'});\n            else\n                options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue('cat_item')  + ' [' + gr.getValue('number') + ']'});\n            cnt++;\n        } \n    }\n\n        \n    return options;\n})()",
            "mode": "external_script"
          },
          "table": "sc_req_item",
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "1bdd9f7e676e401e88e6900e662911dd": {
          "stepType": "ChoicePrompt",
          "name": "Incident or Requested Item",
          "prompt": {
            "value": "(function execute() {\n    var output = '';\n    var faults = '';\n    var items = '';\n\n    if (vaVars.fault_count != 1) {\n            faults = gs.getMessage('{0} open fault',vaVars.fault_count);\n    } else {\n            incidents = gs.getMessage('{0} open fault', vaVars.fault_count);\n    }\n\n    if (vaVars.requested_item_count != 1) {\n            items = gs.getMessage('{0} requested items', vaVars.requested_item_count);\n    } else {\n            items = gs.getMessage('{0} requested item', vaVars.requested_item_count);\n    }\n\n    return gs.getMessage('I just checked and you have {0} and {1}.  Which status would you like to check?', [faults,items]);\n})()\n",
            "mode": "script"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "118cb1499c4340a1aae1b381e0029610",
          "id": "1bdd9f7e676e401e88e6900e662911dd",
          "withNluUserInput": true,
          "skipIfFulfilled": true,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "cardMetadata": {
            "mode": "card",
            "metadataScript": "",
            "cardTemplate": "",
            "cardFields": {},
            "cardDefinition": {}
          },
          "hasCardHeader": false
        },
        "24246c4c14654d2eba487075c8d00c8c": {
          "id": "24246c4c14654d2eba487075c8d00c8c",
          "stepType": "TextOutput",
          "name": "No Incidents or Requested Items",
          "value": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "You have no active incidents or requested items."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "79f7c7da0b97455583c0de9d8ae39a38": {
          "id": "79f7c7da0b97455583c0de9d8ae39a38",
          "stepType": "Prompt",
          "name": "Add Comment",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Would you like to add a comment?"
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "7bf837ee541e4c218c386189e15ca6bb",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          }
        },
        "68407d2a57ce4b739c71b8c04142fbe1": {
          "id": "68407d2a57ce4b739c71b8c04142fbe1",
          "stepType": "Decision",
          "name": "Add Comment Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "61f42c5dc66944569e6cd86f44c0ef97": {
          "id": "61f42c5dc66944569e6cd86f44c0ef97",
          "stepType": "Prompt",
          "name": "Comment",
          "prompt": {
            "value": [
              {
                "type": "paragraph",
                "children": [
                  {
                    "text": ""
                  },
                  {
                    "text": "Please enter your comment."
                  },
                  {
                    "text": ""
                  }
                ]
              }
            ],
            "mode": "simple"
          },
          "confirmMessage": {
            "value": "",
            "mode": "simple"
          },
          "acknowledgeMsg": {
            "value": "",
            "mode": "simple"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "optional": false,
          "defaultValue": {
            "value": "",
            "mode": "simple"
          },
          "variableId": "6b4b9724996946a688d5793d9d82079f",
          "withNluUserInput": false,
          "skipIfFulfilled": false,
          "entity": {
            "id": ""
          },
          "skippable": {
            "value": "",
            "mode": "query"
          },
          "inputType": {
            "format": "Text",
            "script": ""
          }
        },
        "86d7f36884804d64a300eac5bba165da": {
          "id": "86d7f36884804d64a300eac5bba165da",
          "stepType": "Decision",
          "name": "Count Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "7a6aaaf61b6c43b1a80719ab50bd2dec": {
          "id": "7a6aaaf61b6c43b1a80719ab50bd2dec",
          "stepType": "ScriptOutput",
          "name": "Update Record",
          "output_type": "single_part",
          "script": "(function execute() {\n    var response = '';\n    var gr = new GlideRecordSecure(vaVars.table_name);\n    if (gr.get(vaVars.sys_id)) {\n        var comment = vaInputs.comment.getValue().trim();\n        if (comment) {\n            gr.comments = comment;\n            gr.update();\n            if (vaVars.table_name == 'x_811737_railright_fault')\n                response = gs.getMessage(\"I've updated the fault.\");\n            else\n                response = gs.getMessage(\"I've updated the requested item.\");  \n        } else {\n            response = gs.getMessage(\"OK, no comment will be added.\");\n        }\n    } else\n        response = gs.getMessage(\"I couldn't find the record.\");\n\n    return response;\n})()",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "26ae44e0ce5b4b39ac0b1f74271977cf": {
          "id": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "stepType": "Decision",
          "name": "Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "1bc133f6d1ad4247a243aeeca1829c15": {
          "id": "1bc133f6d1ad4247a243aeeca1829c15",
          "name": "Set Incident Table",
          "script": "(function execute() {\n    vaVars.table_name = 'x_811737_railright_fault';\n    vaVars.count = vaVars.fault_count;\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "5d308caee49d4a8ea31ace8a7371ecf4": {
          "id": "5d308caee49d4a8ea31ace8a7371ecf4",
          "name": "Set Requested Item table",
          "script": "(function execute() {\n    vaVars.table_name = 'sc_req_item';\n    vaVars.count = vaVars.requested_item_count;\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "70702261176341c2b5ff1031472b85eb": {
          "id": "70702261176341c2b5ff1031472b85eb",
          "name": "Set Table",
          "script": "(function execute() {\n    vaVars.table_name = vaInputs.fault_or_requested_item;\n    if (vaVars.table_name == 'x_811737_railright_fault')\n        vaVars.count = vaVars.fault_count;\n    else \n        vaVars.count = vaVars.requested_item_count;\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "097995944c3d436d9c801788c0d40ca3": {
          "id": "097995944c3d436d9c801788c0d40ca3",
          "name": "Set Sys Id",
          "script": "(function execute() {\n    vaVars.sys_id = vaInputs.get_record.getValue();\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "5dc548b14113412abbeca771a8d99daf": {
          "id": "5dc548b14113412abbeca771a8d99daf",
          "name": "Set Sys Id",
          "script": "(function execute() {\n    // Query the requested item table and get the only requested item\n      var gr = new GlideRecord(vaVars.table_name);\n      gr.addQuery('active', true);\n      if (vaVars.table_name == 'x_811737_railright_fault')\n            gr.addQuery('caller_id', vaInputs.user);\n      else \n            gr.addQuery('request.requested_for', vaInputs.user);\n\n      gr.setLimit(1);\n      gr.query();\n      if (gr.next()) {\n          vaVars.sys_id = gr.getUniqueValue();\n      }\n})()\n",
          "stepType": "ScriptAction",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "96631133cb11480aae91c503d06082bd": {
          "id": "96631133cb11480aae91c503d06082bd",
          "stepType": "TextOutput",
          "name": "Before Card",
          "value": {
            "value": "(function execute() {\n    if (vaVars.table_name == 'x_811737_railright_fault') {\n        if (parseInt(vaVars.count) == 1)\n            return gs.getMessage('OK, here is your fault:');\n        return gs.getMessage('Here is your fault:');\n    }\n    if (parseInt(vaVars.count) == 1)\n        return gs.getMessage('OK, here is your requested item:');\n    return gs.getMessage('Here is your requested item:');\n})()\n",
            "mode": "script"
          },
          "applicability": {
            "mode": "query",
            "value": ""
          },
          "secure": false
        },
        "d90628f0eae44dfb99ddcb85a19bee9f": {
          "id": "d90628f0eae44dfb99ddcb85a19bee9f",
          "stepType": "Decision",
          "name": "Decision",
          "applicability": {
            "mode": "query",
            "value": ""
          }
        },
        "61ad31e5cc0b4750ac7d03c5a5b3b829": {
          "id": "61ad31e5cc0b4750ac7d03c5a5b3b829",
          "stepType": "Component",
          "name": "No Deflection",
          "fields": [],
          "reusableTopicId": "7fb4ca055303201033cdddeeff7b12b3",
          "reusableTopicChoice": "Deflection",
          "sourceType": "TOPIC_BLOCK",
          "loading": false,
          "applicability": {
            "value": "",
            "mode": "query"
          },
          "inputs": {
            "deflection_configuration": {
              "value": "5292005253213010000dddeeff7b126c",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_configuration"
            },
            "deflection_pattern": {
              "value": "9ee3409253213010000dddeeff7b123b",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_pattern"
            },
            "activity_table": {
              "value": "",
              "mode": "simple",
              "type": "String"
            },
            "activity_ids": {
              "value": "",
              "mode": "simple",
              "type": "String"
            }
          },
          "outputs": [],
          "outdatedNote": false,
          "variableIds": []
        },
        "49be8a59f9684c88ba17a2a7061cb09c": {
          "id": "49be8a59f9684c88ba17a2a7061cb09c",
          "stepType": "Component",
          "name": "Deflection: Status shown",
          "fields": [],
          "reusableTopicId": "7fb4ca055303201033cdddeeff7b12b3",
          "reusableTopicChoice": "Deflection",
          "sourceType": "TOPIC_BLOCK",
          "loading": false,
          "applicability": {
            "value": "",
            "mode": "query"
          },
          "inputs": {
            "deflection_configuration": {
              "value": "5292005253213010000dddeeff7b126c",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_configuration"
            },
            "deflection_pattern": {
              "value": "0273885253213010000dddeeff7b1210",
              "mode": "string",
              "type": "Reference",
              "table": "ssa_deflection_pattern"
            },
            "activity_table": {
              "value": "",
              "mode": "simple",
              "type": "String"
            },
            "activity_ids": {
              "value": "",
              "mode": "simple",
              "type": "String"
            }
          },
          "outputs": [],
          "outdatedNote": false,
          "variableIds": []
        },
        "064c02d11fd9417db73a50d0dee128d8": {
          "id": "064c02d11fd9417db73a50d0dee128d8",
          "stepType": "ScriptOutput",
          "name": "Requested Item card",
          "output_type": "single_part",
          "script": "(function execute() {\n\n    var tableName = vaVars.table_name;\n    var recordId = vaVars.sys_id;\n\n    var link = '';\n    var screenId = '';\n    if (vaVars.portalName === 'mesp') {\n        var mobileDLink = new global.MobileDeepLinkGenerator('request');\n        if (tableName == 'sc_req_item')\n            screenId = '7516f9d787232300e0ef0cf888cb0b4d';\n        else if (tableName == 'sc_request')\n            screenId = '276dd3edb79033001befcd58de11a9c7';\n        else if (tableName == 'incident')\n            screenId = 'ebb94d9c0f2033001befa68ca8767e4e';\n        else\n            screenId = 'd39eb2db87772300e0ef0cf888cb0bcb';\n\n        link = mobileDLink.getFormScreenLink(screenId, tableName, recordId);\n    } else {\n        link = vaVars.baseUri + vaVars.portalName + \"?id=ticket&amp;table=\" + tableName +\"&amp;sys_id=\" + recordId;\n    }\n\n    var title = '';\n    var subtitle = '';\n    var fields = [];\n\n    var gr = new GlideRecord(tableName);\n    gr.addQuery('sys_id',recordId);\n    gr.query();\n    title = gr.getClassDisplayValue();\n    if(gr.next()){\n        subtitle = gr.number.toString();\n        fields.push({\"fieldLabel\": gr.getElement('cat_item').getLabel(), \"fieldValue\": gr.getDisplayValue('cat_item').toString()});\n        fields.push({\"fieldLabel\": gr.getElement('state').getLabel(), \"fieldValue\": gr.getDisplayValue('state').toString()});\n        if( !gs.nil(gr.getDisplayValue('assigned_to').toString()) ){\n            fields.push({\"fieldLabel\": gr.getElement('assigned_to').getLabel(), \"fieldValue\": gr.getDisplayValue('assigned_to').toString()});\n        }\n        fields.push({\"fieldLabel\": gr.getElement('sys_updated_on').getLabel(), \"fieldValue\": gr.getDisplayValue('sys_updated_on').toString()});\n\n        var count = 0;\n        var grComments = new GlideRecord('sys_journal_field');\n        grComments.addQuery('element_id', recordId);\n        grComments.addQuery('name', tableName);\n        grComments.addQuery('element', \"comments\");\n        grComments.orderByDesc('sys_created_on');\n        grComments.setLimit(vaVars.max_comment_count);\n        grComments.query();\n        while (grComments.next()) {\n            var commenter = [];\n            var user = new GlideRecord('sys_user');\n            user.get('user_name', grComments.sys_created_by);\n            var userName = user.getDisplayValue(\"name\");\n            commenter.push(userName);\n            var now = new GlideDateTime();\n            var schedule = new GlideSchedule();\n            schedule.load('38fa64edc0a8016400f4a5724b0434b8');\n            var start = new GlideDateTime(grComments.getValue(\"sys_created_on\"));\n            var duration = schedule.duration(start, now);\n            if (duration.getRoundedDayPart() &gt; 1)\n                var elapsedTime = gs.getMessage(\"{0} days ago\", [duration.getRoundedDayPart()]);\n            else if (duration.getRoundedDayPart() == 1)\n                var elapsedTime = gs.getMessage(\"{0} day ago\", [duration.getRoundedDayPart()]);\n            else\n                var elapsedTime = gs.getMessage(\"{0} ago\", [duration.getDisplayValue()]);\n\n            var comment = grComments.value.replace(/&lt;\\/?[^&gt;]+(&gt;|$)/g, \"\");\n            var comments = [ commenter, \" - \", elapsedTime, \" : \", comment];\n            var displayComments = comments.join(\"\");\n            if(displayComments.length &gt;= vaVars.comments_length) {\n                var editComments = [ displayComments.substring(0, vaVars.comments_length) , '...' ];\n                displayComments =  editComments.join(\"\");\n            }\n            \n            if(count == 0) {\n                fields.push({\"fieldLabel\": gr.getElement('comments').getLabel(), \"fieldValue\": displayComments});\n            } else {\n                fields.push({ \"fieldValue\": displayComments});\n            }\n            count++;\n        }\n    }\n    \n    var card_data = JSON.stringify({\n            \"title\":title,\n            \"subtitle\":subtitle,\n            \"fields\":fields,\n            \"url\":link.toString()\n      });\n    return vaSystem.renderCard(\"Card\", card_data); \n})()\n",
          "applicability": {
            "value": "",
            "mode": "query"
          }
        },
        "df38ac2b8a344cf2a3574352ac0e35f9": {
          "id": "df38ac2b8a344cf2a3574352ac0e35f9",
          "stepType": "ScriptOutput",
          "name": "Incident card",
          "output_type": "single_part",
          "script": "(function execute() {\n\n    var tableName = vaVars.table_name;\n    var recordId = vaVars.sys_id;\n\n    var link = '';\n    var screenId = '';\n    if (vaVars.portalName === 'mesp') {\n        var mobileDLink = new global.MobileDeepLinkGenerator('request');\n        if (tableName == 'sc_req_item')\n            screenId = '7516f9d787232300e0ef0cf888cb0b4d';\n        else if (tableName == 'sc_request')\n            screenId = '276dd3edb79033001befcd58de11a9c7';\n        else if (tableName == 'x_811737_railright_fault')\n            screenId = 'ebb94d9c0f2033001befa68ca8767e4e';\n        else\n            screenId = 'd39eb2db87772300e0ef0cf888cb0bcb';\n\n        link = mobileDLink.getFormScreenLink(screenId, tableName, recordId);\n    } else {\n        link = vaVars.baseUri + vaVars.portalName + \"?id=ticket&amp;table=\" + tableName +\"&amp;sys_id=\" + recordId;\n    }\n\n    var title = '';\n    var subtitle = '';\n    var fields = [];\n\n    var gr = new GlideRecord(tableName);\n    gr.addQuery('sys_id',recordId);\n    gr.query();\n    title = gr.getClassDisplayValue();\n    if(gr.next()){\n        subtitle = gr.number.toString();\n        if( !gs.nil(gr.getDisplayValue('short_description').toString()) ){\n            fields.push({\"fieldLabel\": gr.getElement('short_description').getLabel(), \"fieldValue\": gr.getDisplayValue('short_description').toString()});\n        }\n        fields.push({\"fieldLabel\": gr.getElement('state').getLabel(), \"fieldValue\": gr.getDisplayValue('state').toString()});\n        if( !gs.nil(gr.getDisplayValue('assigned_to').toString()) ){\n            fields.push({\"fieldLabel\": gr.getElement('assigned_to').getLabel(), \"fieldValue\": gr.getDisplayValue('assigned_to').toString()});\n        }\n        fields.push({\"fieldLabel\": gr.getElement('sys_updated_on').getLabel(), \"fieldValue\": gr.getDisplayValue('sys_updated_on').toString()});\n\n        var count = 0;\n        var grComments = new GlideRecord('sys_journal_field');\n        grComments.addQuery('element_id', recordId);\n        grComments.addQuery('name', tableName);\n        grComments.addQuery('element', \"comments\");\n        grComments.orderByDesc('sys_created_on');\n        grComments.setLimit(vaVars.max_comment_count);\n        grComments.query();\n        while (grComments.next()) {\n            var commenter = [];\n            var user = new GlideRecord('sys_user');\n            user.get('user_name', grComments.sys_created_by);\n            var userName = user.getDisplayValue(\"name\");\n            commenter.push(userName);\n            var now = new GlideDateTime();\n            var schedule = new GlideSchedule();\n            schedule.load('38fa64edc0a8016400f4a5724b0434b8');\n            var start = new GlideDateTime(grComments.getValue(\"sys_created_on\"));\n            var duration = schedule.duration(start, now);\n            if (duration.getRoundedDayPart() &gt; 1)\n                var elapsedTime = gs.getMessage(\"{0} days ago\", [duration.getRoundedDayPart()]);\n            else if (duration.getRoundedDayPart() == 1)\n                var elapsedTime = gs.getMessage(\"{0} day ago\", [duration.getRoundedDayPart()]);\n            else\n                var elapsedTime = gs.getMessage(\"{0} ago\", [duration.getDisplayValue()]);\n\n            var comment = grComments.value.replace(/&lt;\\/?[^&gt;]+(&gt;|$)/g, \"\");\n            var comments = [ commenter, \" - \", elapsedTime, \" : \", comment];\n            var displayComments = comments.join(\"\");\n            if(displayComments.length &gt;= vaVars.comments_length) {\n                var editComments = [ displayComments.substring(0, vaVars.comments_length) , '...' ];\n                displayComments =  editComments.join(\"\");\n            }\n            \n            if(count == 0) {\n                fields.push({\"fieldLabel\": gr.getElement('comments').getLabel(), \"fieldValue\": displayComments});\n            } else {\n                fields.push({ \"fieldValue\": displayComments});\n            }\n            count++;\n        }\n    }\n    \n    var card_data = JSON.stringify({\n            \"title\":title,\n            \"subtitle\":subtitle,\n            \"fields\":fields,\n            \"url\":link.toString()\n      });\n    return vaSystem.renderCard(\"Card\", card_data); \n})()\n",
          "applicability": {
            "value": "",
            "mode": "query"
          }
        }
      },
      "edges": [
        {
          "id": "c49c6a70c8544d398aff8e0b48a5186d",
          "edgeType": "Branch",
          "source": "d90628f0eae44dfb99ddcb85a19bee9f",
          "target": "064c02d11fd9417db73a50d0dee128d8",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.table_name == 'sc_req_item';\n})()\n"
          },
          "label": "Requested Item"
        },
        {
          "id": "ebfb69015edf4b82b78c8097c179f4b1",
          "edgeType": "Branch",
          "source": "d90628f0eae44dfb99ddcb85a19bee9f",
          "target": "df38ac2b8a344cf2a3574352ac0e35f9",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.table_name == 'incident';\n})()\n"
          },
          "label": "Incident"
        },
        {
          "id": "09cd8f519c004c66b99574a0e03c8dd0",
          "edgeType": "Edge",
          "source": "afa9fa81548e4d83ad75fc751bbb9601",
          "target": "097995944c3d436d9c801788c0d40ca3",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "6124a3b818c74b2aa442daaf6994ecc2",
          "edgeType": "Branch",
          "source": "68407d2a57ce4b739c71b8c04142fbe1",
          "target": "67fb10c8bb404c31a3dedd0f27a8a869",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "query",
            "value": "add_comment="
          },
          "label": "No"
        },
        {
          "id": "dd657204675c4ba1afccbdd71aa624b7",
          "edgeType": "Branch",
          "source": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "target": "a3803614f0db4592a5802e70a4b376ae",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.incident_count) != 0 || parseInt(vaVars.requested_item_count) != 0;\n})()\n"
          },
          "label": "Has Records"
        },
        {
          "id": "634d60ad40cd4786a84acda24faab673",
          "edgeType": "Edge",
          "source": "1bc133f6d1ad4247a243aeeca1829c15",
          "target": "86d7f36884804d64a300eac5bba165da",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "dd50904378194e66afa22a80e323c36a",
          "edgeType": "Edge",
          "source": "097995944c3d436d9c801788c0d40ca3",
          "target": "96631133cb11480aae91c503d06082bd",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "5fded96c6a024c5691831d88821b26c5",
          "edgeType": "Edge",
          "source": "70702261176341c2b5ff1031472b85eb",
          "target": "86d7f36884804d64a300eac5bba165da",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "fce46a7330604e58bb40501f0e228f98",
          "edgeType": "Edge",
          "source": "7a6aaaf61b6c43b1a80719ab50bd2dec",
          "target": "67fb10c8bb404c31a3dedd0f27a8a869",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "d086a415f68445fb9fac0e8b02f0ea15",
          "edgeType": "Edge",
          "source": "fe157f274902478d8c059586e6862569",
          "target": "f6bcd34c55b04d64aea073497505525c",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "377991ec9bf24e2f90b40de429f40203",
          "edgeType": "Branch",
          "source": "a3803614f0db4592a5802e70a4b376ae",
          "target": "1bdd9f7e676e401e88e6900e662911dd",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.incident_count != 0 &amp;&amp; vaVars.requested_item_count != 0;\n})()"
          },
          "label": "Both Incidents and Requested Items"
        },
        {
          "id": "77eb84ba68344651ae61eeef3e41a812",
          "edgeType": "Branch",
          "source": "68407d2a57ce4b739c71b8c04142fbe1",
          "target": "61f42c5dc66944569e6cd86f44c0ef97",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "query",
            "value": "add_comment=true"
          },
          "label": "Yes"
        },
        {
          "id": "a2076ecf75ad4e9290d8bcfde1712197",
          "edgeType": "Branch",
          "source": "86d7f36884804d64a300eac5bba165da",
          "target": "afa9fa81548e4d83ad75fc751bbb9601",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return vaVars.count &gt; 1;\n})()"
          },
          "label": "Multiple Records"
        },
        {
          "id": "d05851bce69e44c7ac21e48dc166977c",
          "edgeType": "Edge",
          "source": "61f42c5dc66944569e6cd86f44c0ef97",
          "target": "7a6aaaf61b6c43b1a80719ab50bd2dec",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "5d09c2cae93f410da01c64143b6ef9be",
          "edgeType": "Edge",
          "source": "f6bcd34c55b04d64aea073497505525c",
          "target": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "712122a66ac1467ba23846bd4e363beb",
          "edgeType": "Branch",
          "source": "26ae44e0ce5b4b39ac0b1f74271977cf",
          "target": "24246c4c14654d2eba487075c8d00c8c",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.incident_count) == 0 &amp;&amp; parseInt(vaVars.requested_item_count) == 0;\n})()\n"
          },
          "label": "Neither Incidents nor Requested Items"
        },
        {
          "id": "9422ec1718974d6595649faf5264ea65",
          "edgeType": "Branch",
          "source": "a3803614f0db4592a5802e70a4b376ae",
          "target": "1bc133f6d1ad4247a243aeeca1829c15",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.incident_count) &gt; 0 &amp;&amp; parseInt(vaVars.requested_item_count) == 0;\n})()"
          },
          "label": "Incidents only"
        },
        {
          "id": "52f2aecec62a452dad87f0607c74788a",
          "edgeType": "Branch",
          "source": "a3803614f0db4592a5802e70a4b376ae",
          "target": "5d308caee49d4a8ea31ace8a7371ecf4",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.requested_item_count) &gt; 0 &amp;&amp; parseInt(vaVars.incident_count) == 0;\n})()\n"
          },
          "label": "Requested Items Only"
        },
        {
          "id": "b4cd97e91a6748118df86a3d806aa0db",
          "edgeType": "Edge",
          "source": "5d308caee49d4a8ea31ace8a7371ecf4",
          "target": "86d7f36884804d64a300eac5bba165da",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "9a9ad5808ec34115bb3540cd172465d0",
          "edgeType": "Edge",
          "source": "1bdd9f7e676e401e88e6900e662911dd",
          "target": "70702261176341c2b5ff1031472b85eb",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "984fdcbe154a455ba8196a10972f3bd4",
          "edgeType": "Branch",
          "source": "86d7f36884804d64a300eac5bba165da",
          "target": "5dc548b14113412abbeca771a8d99daf",
          "sourcePort": "",
          "targetPort": "",
          "expression": {
            "mode": "script",
            "value": "(function execute() {\n    return parseInt(vaVars.count) == 1;\n})()"
          },
          "label": "Only One Record"
        },
        {
          "id": "e99cc548052b47e4a15ab1b6d9417e4f",
          "edgeType": "Edge",
          "source": "5dc548b14113412abbeca771a8d99daf",
          "target": "96631133cb11480aae91c503d06082bd",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "fb7d781c131e425693b4a864dc75940d",
          "edgeType": "Edge",
          "source": "96631133cb11480aae91c503d06082bd",
          "target": "d90628f0eae44dfb99ddcb85a19bee9f",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "64e257a50b964693863eabc473eca45f",
          "edgeType": "Edge",
          "source": "24246c4c14654d2eba487075c8d00c8c",
          "target": "61ad31e5cc0b4750ac7d03c5a5b3b829",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "3e8c534f357d464b8a5e8c62d7572388",
          "edgeType": "Edge",
          "source": "61ad31e5cc0b4750ac7d03c5a5b3b829",
          "target": "67fb10c8bb404c31a3dedd0f27a8a869",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "11e9e0cbd8df4ae6b56f7090e72c7473",
          "edgeType": "Edge",
          "source": "79f7c7da0b97455583c0de9d8ae39a38",
          "target": "49be8a59f9684c88ba17a2a7061cb09c",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "a214c6b24d4f423ea71373545d88f964",
          "edgeType": "Edge",
          "source": "49be8a59f9684c88ba17a2a7061cb09c",
          "target": "68407d2a57ce4b739c71b8c04142fbe1",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "3e90357fcae24a5b8e74279dc5951ac5",
          "edgeType": "Edge",
          "source": "064c02d11fd9417db73a50d0dee128d8",
          "target": "79f7c7da0b97455583c0de9d8ae39a38",
          "sourcePort": "",
          "targetPort": ""
        },
        {
          "id": "6b50e44ea6b1403bab30da379c2497ef",
          "edgeType": "Edge",
          "source": "df38ac2b8a344cf2a3574352ac0e35f9",
          "target": "79f7c7da0b97455583c0de9d8ae39a38",
          "sourcePort": "",
          "targetPort": ""
        }
      ]
    }
  },
  "variables": {
    "cbe1ac3611cf46bc9ce5f9719734a6a2": {
      "id": "cbe1ac3611cf46bc9ce5f9719734a6a2",
      "name": "LiveAgent_application",
      "value": {
        "mode": "simple",
        "value": "itsm"
      },
      "varType": "script",
      "label": "LiveAgent_application",
      "category": "vaVars"
    },
    "2bfc54e4738747259e11605a2d72f55f": {
      "id": "2bfc54e4738747259e11605a2d72f55f",
      "name": "get_record",
      "label": "Get Record",
      "varType": "reference",
      "table": "sc_req_item",
      "category": "vaInputs"
    },
    "118cb1499c4340a1aae1b381e0029610": {
      "id": "118cb1499c4340a1aae1b381e0029610",
      "name": "incident_or_requested_item",
      "label": "Incident Or Requested Item",
      "varType": "choice",
      "choices": [
        {
          "label": "Incident",
          "value": "incident"
        },
        {
          "label": "Requested Item ",
          "value": "sc_req_item"
        }
      ],
      "category": "vaInputs"
    },
    "7bf837ee541e4c218c386189e15ca6bb": {
      "id": "7bf837ee541e4c218c386189e15ca6bb",
      "name": "add_comment",
      "label": "Add Comment",
      "varType": "boolean",
      "category": "vaInputs"
    },
    "6b4b9724996946a688d5793d9d82079f": {
      "id": "6b4b9724996946a688d5793d9d82079f",
      "name": "comment",
      "label": "Comment",
      "varType": "string",
      "category": "vaInputs",
      "secure": false,
      "encryptionSalt": {
        "value": "MTYzMDQ3Nzg5NDQ4NCBWQSBEZXNpZ25lciBpcyBhd2Vzb21l",
        "mode": "simple"
      },
      "encryptionHashFunction": "SHA-256"
    },
    "1e37503b5309409ab9197ff09a1b0e42": {
      "id": "1e37503b5309409ab9197ff09a1b0e42",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "index",
      "label": "index",
      "varType": "script",
      "category": "vaVars"
    },
    "1afd09be984f40229d326a0ef7f8ae54": {
      "id": "1afd09be984f40229d326a0ef7f8ae54",
      "value": {
        "mode": "simple",
        "value": "5"
      },
      "name": "limit",
      "label": "limit",
      "varType": "script",
      "category": "vaVars"
    },
    "46402856936c40739ace26704432973e": {
      "id": "46402856936c40739ace26704432973e",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "incident_count",
      "label": "incident_count",
      "varType": "script",
      "category": "vaVars"
    },
    "3fc8b6644ada445f9581d45065ecb962": {
      "id": "3fc8b6644ada445f9581d45065ecb962",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "requested_item_count",
      "label": "requested_item_count",
      "varType": "script",
      "category": "vaVars"
    },
    "b72b693c1f5343f79290d80f744b0c52": {
      "id": "b72b693c1f5343f79290d80f744b0c52",
      "value": {
        "value": "",
        "mode": "simple"
      },
      "name": "table_name",
      "label": "table_name",
      "varType": "script",
      "category": "vaVars"
    },
    "e195d8c740cb45668fbff0f1ad7f6f6e": {
      "id": "e195d8c740cb45668fbff0f1ad7f6f6e",
      "value": {
        "mode": "simple",
        "value": "0"
      },
      "name": "count",
      "label": "count",
      "varType": "script",
      "category": "vaVars"
    },
    "33857945844a43d1ad3bd8605df6727f": {
      "id": "33857945844a43d1ad3bd8605df6727f",
      "value": {
        "value": "",
        "mode": "simple"
      },
      "name": "sys_id",
      "label": "sys_id",
      "varType": "script",
      "category": "vaVars"
    },
    "ab26d40194f04ee083219c6d08b47860": {
      "category": "vaInputs",
      "id": "ab26d40194f04ee083219c6d08b47860",
      "label": "User",
      "name": "user",
      "table": "sys_user",
      "varType": "reference"
    },
    "061cddd34c5d47a5a37309b39ea860c6": {
      "id": "061cddd34c5d47a5a37309b39ea860c6",
      "value": {
        "mode": "script",
        "value": "(function execute() {\n    if (vaContext.deviceType == 'ios' || vaContext.deviceType == 'android')\n        return 'mesp';\n\n    return gs.getProperty('sn_itsm_va.com.snc.itsm.virtualagent.portal_url');\n})()\n"
      },
      "name": "portalName",
      "label": "portalName",
      "varType": "script",
      "category": "vaVars"
    },
    "39d6d8ca2d9447a5a4b5a8b1ef9d992b": {
      "id": "39d6d8ca2d9447a5a4b5a8b1ef9d992b",
      "value": {
        "mode": "simple",
        "value": "3"
      },
      "name": "max_comment_count",
      "label": "max_comment_count",
      "varType": "script",
      "category": "vaVars"
    },
    "ac062b53c6fe445cad5aca284c8b3161": {
      "id": "ac062b53c6fe445cad5aca284c8b3161",
      "value": {
        "mode": "simple",
        "value": "143"
      },
      "name": "comments_length",
      "label": "comments_length",
      "varType": "script",
      "category": "vaVars"
    },
    "1276665808bc4acf867a12bb2979c050": {
      "id": "1276665808bc4acf867a12bb2979c050",
      "value": {
        "mode": "script",
        "value": "(function execute() {\n    return gs.getProperty('glide.servlet.uri') ;\n})()\n"
      },
      "name": "baseUri",
      "label": "baseUri",
      "varType": "script",
      "category": "vaVars"
    }
  }
}</graph><key_phrases>Report IT Issue,ticket status,latest,update,check,status,Request,Requested Item,Incident</key_phrases><library>false</library><live_agent>false</live_agent><name>Report IT Issue</name><nlu_intent/><nlu_intent_label/><nlu_model/><nlu_model_label/><nlu_provider/><palette_label/><roles/><source_topic_id>c98b1eccdb301300cde2fd131d9619dc</source_topic_id><sys_class_name>sys_cb_topic</sys_class_name><sys_created_by>admin</sys_created_by><sys_created_on>2022-05-04 21:21:59</sys_created_on><sys_domain>global</sys_domain><sys_id>e9f4cac92f9f0110f98855f62799b699</sys_id><sys_mod_count>5</sys_mod_count><sys_name>Report IT Issue</sys_name><sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package><sys_policy/><sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope><sys_update_name>sys_cb_topic_e9f4cac92f9f0110f98855f62799b699</sys_update_name><sys_updated_by>admin</sys_updated_by><sys_updated_on>2022-05-04 21:36:43</sys_updated_on><triggerable_by_notification>false</triggerable_by_notification><type>STANDARD</type><variables/></sys_cb_topic><sys_variable_value action="delete_multiple" query="document_key=e9f4cac92f9f0110f98855f62799b699"/></record_update>]]></payload>
        <payload_hash>318637604</payload_hash>
        <record_name>Report IT Issue</record_name>
        <reverted_from/>
        <source>6e4c07df2f870110f98855f62799b68a</source>
        <source_table>sys_update_set</source_table>
        <state>previous</state>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 21:36:43</sys_created_on>
        <sys_id>e9588a8d2f9f0110f98855f62799b6ac</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_recorded_at>1809100ff770000001</sys_recorded_at>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 21:36:43</sys_updated_on>
        <type>Topic</type>
        <update_guid>e1588a8dac9f0110a394e2afdbc731ac</update_guid>
        <update_guid_history>e1588a8dac9f0110a394e2afdbc731ac:318637604,1b370a4df49f01106d77911448377374:-22638798,b7f68e0dcb9f0110b1e8021f3cdcd4bf:-1825716786,90764e0d179f01108dc6693a4862dc94:120688933,ac25c20d269f01104a2fe1c8ddedada5:1631242011,7df4420d0c9f01108d1f7834a4a5cf51:208910515</update_guid_history>
    </sys_update_version>
    <sys_metadata_delete action="INSERT_OR_UPDATE">
        <sys_audit_delete/>
        <sys_class_name>sys_metadata_delete</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 21:39:33</sys_created_on>
        <sys_db_object display_value="" name="sys_cb_topic">sys_cb_topic</sys_db_object>
        <sys_id>4f3f070cb6d349baa46c8c170fd461f1</sys_id>
        <sys_metadata>e9f4cac92f9f0110f98855f62799b699</sys_metadata>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>Report IT Issue</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_parent/>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_scope_delete display_value="">0d1234f39aa14a258dfd0a9956c72b11</sys_scope_delete>
        <sys_update_name>sys_cb_topic_e9f4cac92f9f0110f98855f62799b699</sys_update_name>
        <sys_update_version display_value="sys_cb_topic_e9f4cac92f9f0110f98855f62799b699">e9588a8d2f9f0110f98855f62799b6ac</sys_update_version>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 21:39:33</sys_updated_on>
    </sys_metadata_delete>
</record_update>
